Subject: Re: bug#7833: automake uses two different values for DejaGNU srcdir

From: Ian Lance Taylor <[email-masked]>
Date: Thu, 13 Jan 2011 12:12:45 -0800

Stefano Lattarini <[email-masked]> writes:

> On Thursday 13 January 2011, Ian Lance wrote:
>> Stefano Lattarini <[email-masked]> writes:
>> 
>> > Are you sure about this?  Why then is the attached testcase working
>> > (for me at least)?
>> 
>> I guess I'm not sure what point you are trying to make with your
>> example.  A relative srcdir will sometimes work and sometimes fail.  It
>> seemed to me an absolute srcdir should always work, but Ralf has pointed
>> out a somewhat obscure case where it too can fail.  Either way, it makes
>> no sense for automake to use two different values for srcdir.  It should
>> pick one and stick to it.
>> 
> Yes, but my testcase *should* show (at least in my understanding)
> that in the dejagnu tests both the TCL-level '$srcdir' variable and
> the environment variable 'srcdir' contain an absolute path, even
> when the Makefile variable $(srcdir) contains a relative path (in
> this case, `.').

Take a look at the site.exp file and see what value is in there for
srcdir: relative or absolute?

Ian